package com.caimei.www.service;

import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.base.ShoppingCart;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/7/23
 */
public interface ShoppingCartService {
    /**
     * 顶部购物车数据
     * @param userId
     * @return
     */
    JsonModel<List<ShoppingCart>> getHeaderCart(Integer userId);
    /**
     * 购物车列表
     * @param userId
     * @return
     */
    JsonModel<List<ShoppingCart>> getShoppingCarts(Integer userId);
}
